Package org.opensaml.core.xml.schema

# Interface XSBase64Binary

All Superinterfaces:
  `XMLObject`

All Known Subinterfaces:
  `BinarySecret`, `ChannelBindings`, `CipherValue`, `CombinedHash`, `CryptoBinary`, `DEREncodedKeyValue`, `ECPointType`, `Exponent`, `G`, `GeneratedKey`, `Generator`, `J`, `KANonce`, `Modulus`, `OAEPparams`, `P`, `P`, `PgenCounter`, `PgenCounter`, `PGPKeyID`, `PGPKeyPacket`, `Public`, `PublicKey`, `Q`, `Q`, `Salt`, `Seed`, `Seed`, `Specified`, `SPKISexp`, `X509Certificate`, `X509CRL`, `X509Digest`, `X509SKI`, `Y`

All Known Implementing Classes:
  `BinarySecretImpl`, `ChannelBindingsImpl`, `CipherValueImpl`, `CombinedHashImpl`, `CryptoBinaryImpl`, `DEREncodedKeyValueImpl`, `ECPointTypeImpl`, `ExponentImpl`, `GeneratedKeyImpl`, `GeneratorImpl`, `GImpl`, `JImpl`, `KANonceImpl`, `ModulusImpl`, `OAEPparamsImpl`, `PgenCounterImpl`, `PgenCounterImpl`, `PGPKeyIDImpl`, `PGPKeyPacketImpl`, `PImpl`, `PImpl`, `PublicImpl`, `PublicKeyImpl`, `QImpl`, `QImpl`, `SaltImpl`, `SeedImpl`, `SeedImpl`, `SpecifiedImpl`, `SPKISexpImpl`, `X509CertificateImpl`, `X509CRLImpl`, `X509DigestImpl`, `X509SKIImpl`, `XSBase64BinaryImpl`, `YImpl`

public interface XSBase64Binary extends XMLObject
XMLObject that represents an XML Schema base64Binary.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`String`
`getValue()`
Gets the base64-encoded binary value.
`void`
`setValue(String newValue)`
Sets the base64-encoded binary value.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

## Method Details

### getValue

@Nullable String getValue()
Gets the base64-encoded binary value.

Returns:
  the string, or null

### setValue

void setValue(@Nullable String newValue)
Sets the base64-encoded binary value.

Parameters:
  `newValue` - the string value